Bug 1013223 - [abrt] PackageKit-yum-0.8.9-1.fc18: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] PackageKit-yum-0.8.9-1.fc18: Process /usr/bin/python2.7 was killed by ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:edd890e46afadc20433900be1c5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-28 09:34 EDT by Sean Ward
Modified: 2014-02-05 17:25 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:25:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (96.26 KB, text/plain)
2013-09-28 09:35 EDT, Sean Ward
no flags Details
File: cgroup (154 bytes, text/plain)
2013-09-28 09:35 EDT, Sean Ward
no flags Details
File: core_backtrace (12.85 KB, text/plain)
2013-09-28 09:35 EDT, Sean Ward
no flags Details
File: dso_list (10.14 KB, text/plain)
2013-09-28 09:35 EDT, Sean Ward
no flags Details
File: environ (65 bytes, text/plain)
2013-09-28 09:35 EDT, Sean Ward
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-28 09:35 EDT, Sean Ward
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-28 09:35 EDT, Sean Ward
no flags Details
File: maps (29.91 KB, text/plain)
2013-09-28 09:35 EDT, Sean Ward
no flags Details
File: open_fds (2.15 KB, text/plain)
2013-09-28 09:35 EDT, Sean Ward
no flags Details
File: proc_pid_status (764 bytes, text/plain)
2013-09-28 09:35 EDT, Sean Ward
no flags Details
File: var_log_messages (2.37 KB, text/plain)
2013-09-28 09:35 EDT, Sean Ward
no flags Details

  None (edit)
Description Sean Ward 2013-09-28 09:34:59 EDT
Description of problem:
Executed the following as root:
yum install php-mysql php-gd php-imap php-ldap php-odbc php-pear php-xml php-xmlrpc php-magickwand php-mbstring php-mcrypt php-mssql php-shout php-snmp php-soap php-tidy

Console Output:
Loading mirror speeds from cached hostfile
 * fedora: mirror.anl.gov
 * fedora-debuginfo: mirror.anl.gov
 * fedora-source: mirror.anl.gov
 * rpmfusion-free: mirror.nexcess.net
 * rpmfusion-free-debuginfo: mirror.nexcess.net
 * rpmfusion-free-source: mirror.nexcess.net
 * rpmfusion-free-updates: mirror.nexcess.net
 * rpmfusion-free-updates-debuginfo: mirror.nexcess.net
 * rpmfusion-free-updates-source: mirror.nexcess.net
 * rpmfusion-nonfree: mirror.nexcess.net
 * rpmfusion-nonfree-debuginfo: mirror.nexcess.net
 * rpmfusion-nonfree-source: mirror.nexcess.net
 * rpmfusion-nonfree-updates: mirror.nexcess.net
 * rpmfusion-nonfree-updates-debuginfo: mirror.nexcess.net
 * rpmfusion-nonfree-updates-source: mirror.nexcess.net
 * updates: mirror.fdcservers.net
 * updates-debuginfo: mirror.fdcservers.net
 * updates-source: mirror.fdcservers.net
Resolving Dependencies
--> Running transaction check
---> Package php-gd.i686 0:5.4.19-1.fc18 will be installed
--> Processing Dependency: libt1.so.5 for package: php-gd-5.4.19-1.fc18.i686
Segmentation fault (core dumped)

Version-Release number of selected component:
PackageKit-yum-0.8.9-1.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/PackageKit/helpers/yum/yumBackend.py get-updates none
executable:     /usr/bin/python2.7
kernel:         3.10.12-100.fc18.i686.PAE
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 visit_reachable at /usr/src/debug/Python-2.7.3/Modules/gcmodule.c:355
 #2 dict_traverse at /usr/src/debug/Python-2.7.3/Objects/dictobject.c:2096
 #3 move_unreachable at /usr/src/debug/Python-2.7.3/Modules/gcmodule.c:432
 #4 collect at /usr/src/debug/Python-2.7.3/Modules/gcmodule.c:883
 #5 collect_generations at /usr/src/debug/Python-2.7.3/Modules/gcmodule.c:996
 #6 _PyObject_GC_Malloc at /usr/src/debug/Python-2.7.3/Modules/gcmodule.c:1457
 #8 _PyObject_GC_NewVar at /usr/src/debug/Python-2.7.3/Modules/gcmodule.c:1477
 #9 PyTuple_New at /usr/src/debug/Python-2.7.3/Objects/tupleobject.c:106
 #11 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:2252
Comment 1 Sean Ward 2013-09-28 09:35:03 EDT
Created attachment 804409 [details]
File: backtrace
Comment 2 Sean Ward 2013-09-28 09:35:06 EDT
Created attachment 804410 [details]
File: cgroup
Comment 3 Sean Ward 2013-09-28 09:35:09 EDT
Created attachment 804411 [details]
File: core_backtrace
Comment 4 Sean Ward 2013-09-28 09:35:12 EDT
Created attachment 804412 [details]
File: dso_list
Comment 5 Sean Ward 2013-09-28 09:35:15 EDT
Created attachment 804413 [details]
File: environ
Comment 6 Sean Ward 2013-09-28 09:35:18 EDT
Created attachment 804414 [details]
File: exploitable
Comment 7 Sean Ward 2013-09-28 09:35:28 EDT
Created attachment 804415 [details]
File: limits
Comment 8 Sean Ward 2013-09-28 09:35:31 EDT
Created attachment 804416 [details]
File: maps
Comment 9 Sean Ward 2013-09-28 09:35:34 EDT
Created attachment 804417 [details]
File: open_fds
Comment 10 Sean Ward 2013-09-28 09:35:37 EDT
Created attachment 804418 [details]
File: proc_pid_status
Comment 11 Sean Ward 2013-09-28 09:35:40 EDT
Created attachment 804419 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2013-12-21 09:37:42 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 17:25:42 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.